Skip to content

Delete a run of show

Show module

DELETE/run-of-show/{id}runsOfShow.delete

A run of show for one show scope node. Soft-deletes the run of show: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability show.run_of_show.write.
  • OAuth scopes: show.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

runsOfShow.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the run of show.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/run-of-show/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.runsOfShow.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.runs_of_show.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos runs-of-show delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f